Page MenuHomePhabricator

Phabricator shows avatars consistently against user names, which some users may dislike
Closed, DeclinedPublic

Description

The interface is infested with avatars (or avatars placeholders) wasting precious real estate. Examples: top bar, http://fab.wmflabs.org/p/Nemo_bis/

P.s.: On the bright side, the default avatar is pretty, gender-neutral and whatnot.

Details

Reference
fl124

Event Timeline

flimport raised the priority of this task from to Lowest.Sep 12 2014, 1:25 AM
flimport set Reference to fl124.

aklapper wrote on 2014-04-18 08:52:14 (UTC)

How small is your screen that you see "precious real estate" wasted? Any specific examples or screenshots?
Do you consider avatars needless in general, or just their current use?

Nemo_bis wrote on 2014-04-18 09:03:01 (UTC)

For instance they consume 25 % of the top bar actionable area.

aklapper wrote on 2014-04-18 09:32:55 (UTC)

Not in my percentage world. Screenshot?

Nemo_bis wrote on 2014-04-18 09:41:37 (UTC)

.

Nemo_bis wrote on 2014-04-18 09:42:04 (UTC)

.

Nemo_bis wrote on 2014-04-18 09:48:14 (UTC)

I added a screenshot twice, no idea where it went

https://commons.wikimedia.org/wiki/File:Phabricator_top-right_corner.png

Also, in the comments on a task like this it takes about 2 cm or 7 % of my screen width (and the most precious area, left).

aklapper wrote on 2014-04-18 10:24:07 (UTC)

Oh I see, I interpreted the "top bar actionable area" differently as there is also a notification area with a small red flame on the left.

qgil wrote on 2014-04-21 06:02:55 (UTC)

I wouldn't say these avatars are needless. They are useful to identify people quickly.

"wasting precious real estate"? I don't see these avatars stealing space from any other element.

In Bugzilla the user email address requires a bigger width than this avatar, and it is not a problem either.

Scott wrote on 2014-04-27 21:12:50 (UTC)

Perhaps there could be a user preference added upstream to not display avatars. I fall into the group that find them helpful for distinguishing comment authors and see them as an improvement over Bugzilla.

qgil wrote on 2014-04-28 04:25:13 (UTC)

I also find them useful, not only to identify people quickly and have a quick overview of a discussion, also as a natural counterweight to T120: Changing the Git remote of a repository locks it.

I wouldn't bother upstream with more preferences. I don't think avatars are even a problem for us.

qgil wrote on 2014-04-29 22:05:03 (UTC)

I have seen many people wondering about the default avatar. According to @Liuxinyu970226 (1) it is a Psyduck.

Nemo_bis wrote on 2014-06-15 10:10:32 (UTC)

In T124#17, @Qgil wrote:

"wasting precious real estate"? I don't see these avatars stealing space from any other element.

I do:

Also, in the comments on a task like this it takes about 2 cm or 7 % of my screen > width (and the most precious area, left).

It takes space away from comments.

aklapper wrote on 2014-06-16 10:39:44 (UTC)

In T124#34, @Nemo_bis wrote:

It takes space away from comments.

Same with that sidebar in Bugzilla or on Wikipedia which takes away space from the main content. ;)
I don't consider 100% width for main text / comments a goal. To me it makes it easier to recognize where a new comment start, so switching off avatars is nothing I'd investigate. I propose WONTFIX here.

In T124#35, @thiemowmde wrote:

Is there a separate issue for that crappy default icon?

Not that I'm aware of. Feel free to file a wishlist item against the project "Wikimedia Phabricator Maintenance (after Day 1)" and provide a new design if you feel like. :)

thiemowmde wrote on 2014-06-16 13:58:33 (UTC)

I have seen many people wondering about the default avatar.

Is there a separate issue (done, see T419) for that crappy default icon? Now that I know it is a "duck" I can't unsee it. But before it really, really looked broken to me. Like the outline of a fictional country or a random splat. I found (and still find) it extremely distracting. I tried to force-reload the page to get rid of that "encoding error". I tried to debug the HTML to find the obviously broken SVG.

We really should not force people to fall into Gravatar's scary privacy implications just to fix their personal "encoding error".

mattflaschen wrote on 2014-06-17 02:34:57 (UTC)

In T124#35, @thiemowmde wrote:

We really should not force people to fall into Gravatar's scary privacy implications just to fix their personal "encoding error".

Gravatar is not used, AFAICT. For example, @Aklapper's icon is hosted on-site as http://fab.wmflabs.org/file/data/mcuph5iytj66cifcpoex/PHID-FILE-g2zvu4ppyde6kfh6x4wy/profile-southpark-me-80x80.jpg . At http://fab.wmflabs.org/p/mattflaschen/ (my user page), I see an "Edit Profile Picture" option. If I click that, I see a choice to upload an image. I don't even see a possibility to use Gravatar.

avive wrote on 2014-06-17 05:16:56 (UTC)

The list of possible picture to choose from is taken from all your connected accounts (Which support an image).
In addition, if you do have an image set up in Gravatar (Say, because of GitHub) for any of your email addresses listed, it will also be shown.
And of course you can upload a picture directly.

This option is not advertised, in order to not encourage people to use Gravatar :)

liuxinyu970226 wrote on 2014-06-22 04:32:49 (UTC)

Maybe set Community Logo as default per our Trademark policy?!

aklapper wrote on 2014-06-23 14:31:35 (UTC)

Maybe set Community Logo as default per our Trademark policy?!

That sounds like a good idea, yeah! Thanks!

Nemo_bis wrote on 2014-07-02 20:11:29 (UTC)

Maybe set Community Logo as default per our Trademark policy?!

Note for the casual readers: the Community Logo has nothing to do with the trademark policy.

qgil wrote on 2014-07-10 17:58:59 (UTC)

Almost 8pm, procrastination time! Here goes a quick & rough proof of concept using the community logo.

Works for me. Even better if someone submits a proper SVG with those rounded corners.

Quiddity added a subscriber: Qgil.Nov 7 2014, 1:53 AM

@Qgil What did the attachment (F13805) look like?

I'd be in favour of a black & white & grey image, based off the community logo.
The only thing I like about the current default, is that it's relatively easy to ignore.
I think the vivid green/red/blue of the standard community logo is too eye-catching, to be a good default.

Let's have just one discussion about which alternative logo (if any) at T256#19774 and let's focus here on the possibility to not show these avatars.

See also T1180 ("Policy for inappropriate avatars?")

I would like a preference to disable profile pictures for me, because I have no benefit from an image near a user name.
It would better to have no face near the name or other things, I also dislike picture in signature on mediawiki wikis.

Qgil added a comment.Dec 10 2014, 9:58 PM

My guess is that the majority of users are between neutral and happy with the avatars, seeing the percentage of active users that change their default.

For what is worth, this CSS parameter will instruct your browser to hide all the avatars at sight:

.phui-timeline-image {
  display: none;
  ...
}

Also, you might want to use this transparent pixel as your avatar: F20718

Proposing to decline this task. I don't think this is a request that Wikimedia should upstream as Wikimedia. If anybody wants to do it at their own risk, they can. If upstream does create a configuration, then we will get it when we upgrade.

In T65#839188, @Qgil wrote:

Proposing to decline this task. I don't think this is a request that Wikimedia should upstream as Wikimedia. If anybody wants to do it at their own risk, they can. If upstream does create a configuration, then we will get it when we upgrade.

We could easily hide avatars for everybody simply using site-wide CSS. The tricky part would be if we wanted to make avatar display configurable on a per-user basis.

I don't see a clear consensus on the broad question of whether we should have avatars in this Phabricator instance. However, like tokens, I imagine avatars would be difficult to kill. That seems to leave two options:

  • implement per-user CSS in Phabricator (similar to what MediaWiki has)
  • add a Phabricator user preference to remove avatars from the user interface

I have no idea if upstream is amenable to either of these options.

Qgil added a comment.EditedJan 8 2015, 10:05 PM

We have about 1500 registered now, and avatars don't seem to be a problem in general. Users with a specific problem can apply specific solutions locally that have been described here.

I still propose to decline this task.

Just doing this by local solution is not nice, when there is no (known) way to apply it to a browser, like on IE11.

Having a user.css page in phabricator as in mediawiki would be help there.

Aklapper closed this task as Declined.Jan 12 2015, 2:14 PM
Aklapper claimed this task.

I'm declining this as it does not seem to be an issue for the vast majority of users.
Those users who would like to hide avatars can locally use the workaround in T65#839188.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:07 PM